Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.optimization
Interface FloatFunction

All Known Subinterfaces:
  DiffFloatFunction

    public interface FloatFunction

An interface for double-valued functions over double arrays.

Since:
  1.0
Author:
  Dan Klein

Method Summary
`int` | `domainDimension()` Returns the number of dimensions in the function's domain
`float` | `valueAt(float[] x)` Returns the value of the function at a single point.

Method Detail

### valueAt

    float valueAt(float[] x)

  Returns the value of the function at a single point.

  Parameters:
    `x` - a `double[]` input
  Returns:
    the function value at the input

### domainDimension

    int domainDimension()

  Returns the number of dimensions in the function's domain

  Returns:
    the number of domain dimensions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group